org.apache.felix.ipojo.manipulator

## Class QuotedTokenizer

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.QuotedTokenizer

    public class QuotedTokenizer
    extends Object

Parse on OSGi Manifest clause.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`QuotedTokenizer(String string, String separators)` Constructors.
`QuotedTokenizer(String string, String separators, boolean returnTokens)` Constructors.

### Method Summary

All Methods Instance Methods Concrete Methods
`char` `getSeparator()`
`String[]` `getTokens()`
`List<String>` `getTokenSet()` Get token list.
`String` `nextToken()` Get the next token.
`String` `nextToken(String separators)` Get the next token.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QuotedTokenizer

    public QuotedTokenizer(String string,
                           String separators,
                           boolean returnTokens)

Constructors.

Parameters:
  `string` - : input String.
  `separators` - : separators.
  `returnTokens` - : should the tokenizer return tokens ?

#### QuotedTokenizer

    public QuotedTokenizer(String string,
                           String separators)

Constructors. Set returnTokens to false.

Parameters:
  `string` - : input String.
  `separators` - : separators

### Method Detail

#### nextToken

    public String nextToken(String separators)

Get the next token.

Parameters:
  `separators` - : separators to used.
Returns:
  : the next token.

#### nextToken

    public String nextToken()

Get the next token. Used the defined separators.

Returns:
  the next token.

#### getTokens

    public String[] getTokens()

#### getSeparator

    public char getSeparator()

#### getTokenSet

    public List<String> getTokenSet()

Get token list.

Returns:
  the list of token.